com.tibco.tibjms.admin

## Class StatData

- java.lang.Object
- - com.tibco.tibjms.admin.StatData

-     public class StatData
      extends java.lang.Object

  This class represents statistical data about another object (Topic, Queue etc). Statistical data contains the total number of messages and their cumulative size. Optionally it provides message rates as number of messages per second and number of bytes per second. Whether or not rate information is available is controlled by the server configuration. If rate collection is turned off, all rate numbers are set to 0. However in those cases the application can calculate the rates based on the absolute numbers taken at periodic intervals.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StatData` | `from(javax.management.openmbean.CompositeData cd)` For Internal use only, may be removed or deprecated in future.
    `long` | `getByteRate()` Get the value for the rate of bytes per second.
    `long` | `getMessageRate()` Get the value for the number of messages per second.
    `long` | `getTotalBytes()` Get the value for the total size of messages.
    `long` | `getTotalMessages()` Get the value for the total number of messages.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTotalMessages

          public long getTotalMessages()

      Get the value for the total number of messages.
      Returns:
        the total number of messages.

    - #### getTotalBytes

          public long getTotalBytes()

      Get the value for the total size of messages.
      Returns:
        the total size of messages.

    - #### getMessageRate

          public long getMessageRate()

      Get the value for the number of messages per second.
      Returns:
        the number of messages per second.

    - #### getByteRate

          public long getByteRate()

      Get the value for the rate of bytes per second.
      Returns:
        the rate of bytes per second.

    - #### from

          public static StatData from(javax.management.openmbean.CompositeData cd)

      For Internal use only, may be removed or deprecated in future.
      Returns:
        a StatData object from CompositeData
      Throws:
        `java.lang.IllegalArgumentException` - if CompositeType does not match or if a null CompositeData is passed.

Copyright © Cloud Software Group, Inc. All rights reserved